<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Alowa
 * @since Alowa 1.0
 */

get_header(); ?>

<div id="primary" class="site-content">
	<div id="content" role="main">

		<?php while ( have_posts() ) : the_post(); ?>
		<?php //function_exists()  Return TRUE if the given function has been defined.
			//Adding breadcrumb trail to the WordPress theme
			if (function_exists('alowa_breadcrumbs')) alowa_breadcrumbs();?>

			<?php get_template_part( 'content', get_post_format() ); ?>

			<nav class="nav-single">
				<h3 class="assistive-text"><?php _e( 'Post navigation', 'alowa' ); ?></h3>
				
				<span class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'alowa' ) . '</span> %title' ); ?></span>
				
				<span class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'alowa' ) . '</span>' ); ?></span>
			</nav><!-- .nav-single -->

			<?php comments_template( '', true ); ?> 

		<?php endwhile; // end of the loop. ?>

	</div><!-- #content -->
</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>